Unable to build GDB on Windows

Joel Brobecker brobecker@adacore.com
Mon Sep 28 15:15:23 GMT 2020


> Btw, looking at Gnulib's getrandom.c, my conclusion is that a GDB
> built on Windows 7 and later will be unable to run on older versions
> of Windows, because it will have a static dependency on bcrypt.dll and
> the BCryptGenRandom function from that DLL.  IOW, such a GDB will
> refuse to run on older Windows systems.

I think that's fine. IMO, the general spirit should be that people
interested in building a GDB that works on multiple versions of
an OS should build it on the oldest version they want to support.
I don't think we want to commit to anything stronger than that.

-- 
Joel


More information about the Gdb mailing list